<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Media extends Model
{
    /**
     * The attributes that aren't mass assignable.
     *
     * @var array
     */
    protected $guarded = ['id'];

    protected $appends = ['path'];

    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'media';

    /**
     * Get the owning mediable model.
     */
    public function mediable()
    {
        return $this->morphTo();
    }

    public function getPathAttribute()
    {
        $path = '';
        if (!empty($this->name)) {
            $path = public_path("uploads/".config('constants.media_folder').'/'.$this->name);
        }
        
        return $path;
    }
}
