<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\System;

class CreateMediaTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('media', function (Blueprint $table) {
            $table->id();

            $table->string('name')->nullable();
            
            $table->bigInteger('mediable_id')
                ->comment('ticket/comment id');

            $table->string('mediable_type')
                ->comment('model type');
                
            $table->timestamps();
        });

        //seed file upload settings to system table
        $datas = [
    		'enable_file_upload_in_ticket' => 0, 
            'enable_file_upload_in_comment' => 0,
            'file_upload_size' => 3,
            'supported_file_upload_types' => '.png, .jpg, .pdf, .jpeg'
        ];

        foreach ($datas as $key => $value) {
            System::updateOrCreate(['key' => $key], ['value' => $value]);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('media');
    }
}
