<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\System;

class AddTelegramUserIdToUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->string('telegram_user_id')
            ->after('email')
            ->nullable();
        });

        $data = [
    		'cust_replied_to_ticket_telegram_notif' => 0,
            'other_agents_replied_to_ticket_telegram_notif' => 0,
            'agent_assigned_ticket_telegram_notif' => 0
        ];

        foreach ($data as $key => $value) {
            System::updateOrCreate(['key' => $key], ['value' => $value]);
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
